ബ്രാക്കറ്റുകൾ, വാഗ്ദാനം ചെയ്യുന്ന വെബ് വികസനത്തിനായുള്ള ഒരു IDE

നീന്തൽ ഗൂഗിൾ പ്ലസ് ഞാൻ വിളിക്കുന്ന ഈ അപ്ലിക്കേഷൻ കണ്ടു ആവരണചിഹ്നം, HTML, CSS, JavaScript പോലുള്ള വെബ് സാങ്കേതികവിദ്യകളുടെ വെബ് ഡിസൈനിനും വികസനത്തിനുമായി ഒരു ഓപ്പൺ സോഴ്‌സ് എഡിറ്റർ (MIT ലൈസൻസ്) ആയി official ദ്യോഗിക വെബ്‌സൈറ്റിൽ ഇത് വിവരിക്കുന്നു.

ഈ പ്രോജക്റ്റ് സൃഷ്ടിക്കുകയും പരിപാലിക്കുകയും ചെയ്യുന്നത് ഞങ്ങളുടെ പ്രിയ സുഹൃത്ത് അഡോബാണ്. ഇത് നിലവിൽ ഒരു പരീക്ഷണാത്മക പതിപ്പിലാണ്. വേറിട്ടുനിൽക്കുന്ന സവിശേഷതകളിൽ ആവരണചിഹ്നം പോലുള്ള മറ്റ് എഡിറ്റർമാർക്കിടയിൽ ഉജ്ജ്വലമായ പാഠം o ബ്ലൂഫിഷ് ഉദാഹരണങ്ങൾ ഉദ്ധരിക്കാൻ:

ദ്രുത CSS, JavaScript എഡിറ്റിംഗ്

HTML പ്രമാണം എഡിറ്റുചെയ്യുമ്പോൾ നമുക്ക് കുറുക്കുവഴി ഉപയോഗിക്കാം CTRL + E. ആ നിമിഷം ഞങ്ങൾ എഡിറ്റുചെയ്യുന്ന പ്രോപ്പർട്ടിയിലെ സി‌എസ്‌എസ് ആക്‌സസ് ചെയ്യുന്നതിനും ഇഷ്ടാനുസരണം പരിഷ്‌ക്കരിക്കുന്നതിനും.

ദ്രുത-എഡിറ്റ്

പ്രദർശിപ്പിക്കുക ഞങ്ങളുടെ ബ്ര .സറിലെ CSS ഫയലുകളിലെ മാറ്റങ്ങളുടെ തത്സമയം

ഈ സവിശേഷത ഏറ്റവും ശ്രദ്ധേയവും എനിക്ക് ഏറ്റവും ഇഷ്ടപ്പെട്ടതുമാണ്. ഞങ്ങൾ‌ എഡിറ്റുചെയ്യുമ്പോൾ‌ സി‌എസ്‌എസിൽ‌ വരുത്തുന്ന മാറ്റങ്ങൾ‌ സ്വപ്രേരിതമായി ബ്ര see സറിൽ‌ കാണാൻ‌ കഴിയും, അതിനായി എല്ലായ്‌പ്പോഴും അപ്‌ഡേറ്റ് ചെയ്യുന്നതിന് ഒന്നുമില്ല.

ഇപ്പോൾ പിന്തുണയ്ക്കുന്നു ക്രോം y ക്രോമിയം. കൂടുതൽ വിവരങ്ങളോടെ English ദ്യോഗിക ചാനലിന്റെ ഒരു വീഡിയോ ഞാൻ ഇംഗ്ലീഷിൽ നിങ്ങൾക്ക് നൽകുന്നു, അത് തത്സമയ കാഴ്ചയുടെ സവിശേഷത കാണിക്കുന്നു (മിനിറ്റ് 2:18):

ഉബുണ്ടു 13.04, ഡെറിവേറ്റീവുകൾ എന്നിവയിൽ ബ്രാക്കറ്റുകൾ ഇൻസ്റ്റാൾ ചെയ്യുന്നു

നിങ്ങൾക്ക് .deb ൽ നിന്ന് ഡ download ൺലോഡ് ചെയ്യാൻ കഴിയും ഇവിടെ ഇത് ഇൻസ്റ്റാൾ ചെയ്യുന്നതിന് നമുക്ക് GDebi, QAPT അല്ലെങ്കിൽ ടെർമിനലിൽ ഉപയോഗിക്കാം.

32 ബിറ്റുകൾക്ക്:

dpkg -i brackets-sprint-28-LINUX32.deb

64 ബിറ്റുകൾക്ക്:

dpkg -i brackets-sprint-28-LINUX64.deb

ഞാൻ ഇത് ഇൻസ്റ്റാളുചെയ്യുമ്പോൾ, എനിക്ക് ആദ്യം സംഭവിച്ചത് അത് പ്രവർത്തിക്കുന്നില്ല എന്നതാണ്, ടെർമിനൽ ഉപയോഗിച്ച് ഇത് പ്രവർത്തിപ്പിക്കുമ്പോൾ ഈ പിശക് ദൃശ്യമാകും:

libudev.so.0: cannot open shared object file: No such file or directory

ഞാൻ ഗൂഗിൾ ചെയ്തു, ടെർമിനലിൽ ടൈപ്പുചെയ്ത് ഇത് പരിഹരിക്കുന്നു:

sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

ദ്രവ്യം പരിഹരിച്ചു.

രണ്ടാമത്തെ "പിശക്", HTML ഫയൽ പ്രദർശിപ്പിക്കുന്നതിനായി ബ്രാക്കറ്റുകൾ Chromium തുറന്നിട്ടില്ല എന്നതാണ് (Google Chrome ഉപയോഗിച്ച് ഇത് ഈ പിശക് നൽകരുത്), പതിവായി ചോദിക്കുന്ന ചോദ്യങ്ങൾ വിഭാഗത്തിലെ page ദ്യോഗിക പേജിൽ ഇത് പരിഹരിക്കാനുള്ള വഴി ഞാൻ കണ്ടെത്തി. സമാന കമാൻഡ് (ഒരു പ്രതീകാത്മക ലിങ്ക് സൃഷ്ടിക്കുന്നു):

sudo ln -s /usr/bin/chromium-browser /usr/bin/google-chrome

ഇപ്പോൾ എല്ലാം 100% പ്രവർത്തിക്കണമെങ്കിൽ. ചിയേഴ്സ് !!.


ലേഖനത്തിന്റെ ഉള്ളടക്കം ഞങ്ങളുടെ തത്ത്വങ്ങൾ പാലിക്കുന്നു എഡിറ്റോറിയൽ എത്തിക്സ്. ഒരു പിശക് റിപ്പോർട്ടുചെയ്യാൻ ക്ലിക്കുചെയ്യുക ഇവിടെ.

31 അഭിപ്രായങ്ങൾ, നിങ്ങളുടേത് വിടുക

നിങ്ങളുടെ അഭിപ്രായം ഇടുക

നിങ്ങളുടെ ഇമെയിൽ വിലാസം പ്രസിദ്ധീകരിച്ചു ചെയ്യില്ല.

*

*

  1. ഡാറ്റയുടെ ഉത്തരവാദിത്തം: മിഗുവൽ ഏഞ്ചൽ ഗാറ്റൻ
  2. ഡാറ്റയുടെ ഉദ്ദേശ്യം: സ്പാം നിയന്ത്രിക്കുക, അഭിപ്രായ മാനേജുമെന്റ്.
  3. നിയമസാധുത: നിങ്ങളുടെ സമ്മതം
  4. ഡാറ്റയുടെ ആശയവിനിമയം: നിയമപരമായ ബാധ്യതയല്ലാതെ ഡാറ്റ മൂന്നാം കക്ഷികളുമായി ആശയവിനിമയം നടത്തുകയില്ല.
  5. ഡാറ്റ സംഭരണം: ഒസെന്റസ് നെറ്റ്‌വർക്കുകൾ (ഇയു) ഹോസ്റ്റുചെയ്യുന്ന ഡാറ്റാബേസ്
  6. അവകാശങ്ങൾ: ഏത് സമയത്തും നിങ്ങളുടെ വിവരങ്ങൾ പരിമിതപ്പെടുത്താനും വീണ്ടെടുക്കാനും ഇല്ലാതാക്കാനും കഴിയും.

  1.   ഇലവ് പറഞ്ഞു

    താൽപ്പര്യമുണർത്തുന്നു. ഇപ്പോൾ ഞാൻ അത് കുറയ്ക്കുകയാണ്.

    ഇത് Chrome / Chromium ഉപയോഗിക്കുന്നുവെന്നതും ഞങ്ങൾ CSS എഡിറ്റുചെയ്യുമ്പോൾ ഇത് യാന്ത്രികമായി അപ്‌ഡേറ്റുചെയ്യുന്നു എന്നതും എന്നെ സ്റ്റൈലസിനെക്കുറിച്ച് ചിന്തിപ്പിക്കുന്നു, ഇത് Chrome- ന്റെ JavaScript എഞ്ചിൻ V8 ഉപയോഗിക്കുന്ന Node.js- നൊപ്പം പ്രവർത്തിക്കുന്നു.

    ഒരു മികച്ച ഉപകരണം എന്നതിൽ സംശയമില്ല. ഞാൻ ശ്രമിക്കുമ്പോൾ ഞാൻ നിങ്ങളോട് പറയും.

    1.    നാനോ പറഞ്ഞു

      അവലോകനം നടത്താൻ എന്നെ അനുവദിക്കുക, എനിക്ക് നിരവധി പ്രോജക്റ്റുകൾ നടക്കുന്നുണ്ടെന്നും വ്യത്യസ്ത സാഹചര്യങ്ങളിൽ ഇത് പരീക്ഷിക്കാൻ കഴിയുമെന്നും ...

    2.    frk7z പറഞ്ഞു

      നന്നായി, ലൈവ് റീലോഡ് പ്ലഗിൻ ഉപയോഗിച്ച് നിങ്ങൾക്ക് സപ്ലൈമിനൊപ്പം ഇത് ചെയ്യാൻ കഴിയും, കൂടാതെ സ്റ്റൈലസ്, ജേഡ്, കോഫി എന്നിവയ്ക്കൊപ്പം എമ്മറ്റ് ചെയ്യുക, നിങ്ങൾ ഒരു .സ്റ്റൈൽ അല്ലെങ്കിൽ .ജേഡ് ഫയൽ സംരക്ഷിക്കുമ്പോഴെല്ലാം സ്വയം കംപൈൽ ചെയ്യുന്നതിന് ഒരു കൺസോൾ ഉപേക്ഷിക്കുന്നു. അതാണ് ഞാൻ ചെയ്യുന്നത്, ഓ സ്റ്റൈലസിന്റെ «nib» മൊഡ്യൂളിനൊപ്പം ഇത് കൂടുതൽ മികച്ച മോക്കപ്പ് ആണ്.

      എന്തിനധികം, എമ്മറ്റിന്റെ ലൈവ്സ്റ്റൈൽ (livestyle.emmet.io) നോക്കുക, തീർച്ചയായും നിങ്ങൾ ഇത് ഇതിനകം കണ്ടിട്ടില്ലെങ്കിൽ, നിങ്ങൾക്ക് ഇത് ഇഷ്ടപ്പെട്ടേക്കാം. ചിയേഴ്സ്

  2.   ഫെർണാണ്ടോ പറഞ്ഞു

    ലിനക്സിനും വിൻഡോകൾക്കുമായി ഒരു സ web ജന്യ വെബ് എഡിറ്ററായ ബ്ലൂഗ്രിഫോൺ ഉണ്ട്, അത് അതിലേറെയും പിന്തുണയ്ക്കുന്നു.

    1.    ഇലവ് പറഞ്ഞു

      ബ്ലൂഗ്രിഫോണിന് ശരിക്കും ആ സവിശേഷതകളുണ്ടോ? ഒരിക്കൽ ഞാൻ ഇത് പരീക്ഷിച്ചുനോക്കിയത് ഓർക്കുന്നു, ഒരു ആഡ്-ഓണിനോ അല്ലെങ്കിൽ അതുപോലുള്ള മറ്റെന്തെങ്കിലുമോ പണം നൽകേണ്ടി വരുമ്പോൾ എന്റെ കുട കുടുങ്ങി.

  3.   ആൽബർട്ടോ പറഞ്ഞു

    ബ്ലൂഫിഷ് ഉപയോഗിക്കുന്നതാണ് നല്ലത് ... ഇത് ഏതാണ്ട് ഏത് ഭാഷയ്ക്കും പ്രോഗ്രാം ചെയ്യാൻ കഴിയും, എല്ലാം ഒരു പൂർണ്ണ സംയോജനത്തിൽ ...

    ജിപിഎൽ ലൈസൻസുള്ള ക്രോസ്-പ്ലാറ്റ്ഫോം പോസിക്സ് എച്ച്ടിഎംഎൽ എഡിറ്റർ സോഫ്റ്റ്വെയറാണ് ബ്ലൂഫിഷ്, ഇത് സ software ജന്യ സോഫ്റ്റ്വെയറാക്കി മാറ്റുന്നു.

    പരിചയസമ്പന്നരായ വെബ് ഡിസൈനർമാരെയും പ്രോഗ്രാമർമാരെയും ലക്ഷ്യമിട്ടുള്ള ബ്ലൂഫിഷ് ചലനാത്മകവും സംവേദനാത്മകവുമായ പേജ് എഡിറ്റിംഗിൽ ശ്രദ്ധ കേന്ദ്രീകരിക്കുന്നു. വിവിധ പ്രോഗ്രാമിംഗ്, മാർക്ക്അപ്പ് ഭാഷകൾ തിരിച്ചറിയാൻ ഇതിന് കഴിയും.

    ലിനക്സ്, ഫ്രീബിഎസ്ഡി, മാകോസ്-എക്സ്, ഓപ്പൺബിഎസ്ഡി, സോളാരിസ്, ട്രൂ 64 എന്നിങ്ങനെയുള്ള നിരവധി പോസിക്സ് (പോർട്ടബിൾ ഓപ്പറേറ്റിംഗ് സിസ്റ്റം ഇന്റർഫേസ്) അനുയോജ്യമായ ഓപ്പറേറ്റിംഗ് സിസ്റ്റങ്ങളിൽ ബ്ലൂഫിഷ് പ്രവർത്തിക്കുന്നു.

    ഇത് പ്രധാനമായും ജി‌ടി‌കെ, സി പോസിക്സ് ലൈബ്രറികളാണ് ഉപയോഗിക്കുന്നത്. ജി‌ടി‌കെ 1.0 അല്ലെങ്കിൽ 1.2 ൽ പ്രവർത്തിച്ച അവസാന പതിപ്പ് 0.7 ആണ്. നിലവിലെ പതിപ്പിന് കുറഞ്ഞത് GTK പതിപ്പ് 2.0 (അല്ലെങ്കിൽ ഉയർന്നത്), libpcre 3.0 (അല്ലെങ്കിൽ ഉയർന്നത്), അക്ഷരത്തെറ്റ് പരിശോധനയ്ക്കായി libaspell 0.50 അല്ലെങ്കിൽ ഉയർന്നത് (ഓപ്ഷണൽ), വിദൂര ഫയലുകൾക്കായി gnome-vfs (ഓപ്ഷണൽ) എന്നിവ ആവശ്യമാണ്.

    പ്രോഗ്രാം n ദ്യോഗികമായി ഗ്നോം പ്രോജക്റ്റിന്റെ ഭാഗമല്ല, മറിച്ച് അത്തരം ഒരു അന്തരീക്ഷത്തിലാണ് ഇത് ഉപയോഗിക്കുന്നത് എന്നത് ശ്രദ്ധിക്കേണ്ടതാണ്.

    ഉപയോക്താക്കൾക്ക് എഫ്‌ടിപി സെർവറുകൾ അല്ലെങ്കിൽ വെബ്‌ഡാവി ഡയറക്ടറികൾ പോലുള്ള ഓൺലൈൻ ഉറവിടങ്ങളും സുതാര്യമായി, ഫയൽ സിസ്റ്റം അബ്‌സ്‌ട്രാക്ഷൻ ലെയറായ ഗ്നോം വിഎഫ്എസ് വഴി ആക്‌സസ് ചെയ്യാൻ കഴിയും.

    ബ്ലൂഫിഷിന്റെ (നീല മത്സ്യം) പേരും ലോഗോയും നീൽ മില്ലർ നിർദ്ദേശിച്ചു, അത് വർക്ക് ടീമിന് നിർദ്ദേശിക്കുകയും ഉടനടി അവരെ ആകർഷിക്കുകയും ചെയ്തു. ബ്ലൂഫിഷ് ഒരു മൃഗമാണ് (മത്സ്യം) അത് നിരവധി സ്കൂളുകളിൽ നീങ്ങുകയും തീരത്തോട് അടുക്കുകയും ചെയ്യുന്നു. സ്വതന്ത്ര സോഫ്റ്റ്‌വെയറിലെ ആശയങ്ങൾ സമന്വയിപ്പിക്കാനും പങ്കിടാനും അദ്ദേഹത്തിന്റെ പേര് ആവശ്യപ്പെടുന്നുണ്ടെന്ന് വ്യക്തമാണ്.

    ബ്ലൂഫിഷിന് വേഗത, ഒന്നിലധികം ഫയലുകൾ ഒരേസമയം തുറക്കാനുള്ള കഴിവ്, മൾട്ടിപ്രോജക്റ്റ് പിന്തുണ, ഗ്നോം-വിഎഫ്എസ് വഴി വിദൂര ഫയൽ പിന്തുണ, പേളുമായി പൊരുത്തപ്പെടുന്ന പതിവ് എക്സ്പ്രഷനുകളെ അടിസ്ഥാനമാക്കി ഇഷ്ടാനുസൃതമാക്കാവുന്ന സിന്റാക്സ് മാർക്ക്അപ്പ്, ഉപ പാറ്റേണുകൾക്കും മുൻ‌നിശ്ചയിച്ച പാറ്റേണുകൾക്കുമുള്ള പിന്തുണ (HTML, PHP, ജാവാസ്ക്രിപ്റ്റ്, ജെ‌എസ്‌പി, എസ്‌ക്യുഎൽ, എക്സ്എം‌എൽ, പൈത്തൺ, പേൾ, സി‌എസ്‌എസ്, കോൾഡ് ഫ്യൂഷൻ, പാസ്കൽ, ആർ, ഒക്ടേവ് / മാറ്റ്‌ലാബ്), എച്ച്ടിഎംഎൽ ടാഗുകൾക്കായുള്ള ഡയലോഗുകൾ, പ്രമാണങ്ങൾ എളുപ്പത്തിൽ സൃഷ്ടിക്കുന്നതിനുള്ള മാന്ത്രികൻ, പട്ടികകൾ സൃഷ്ടിക്കൽ, ഫ്രെയിമുകൾ (ഫ്രെയിമുകൾ), ഒന്നിലധികം എൻ‌കോഡിംഗുകൾക്കുള്ള പിന്തുണ , വ്യത്യസ്ത പ്രതീക സെറ്റുകൾ, ലൈൻ നമ്പറിംഗ്, ഡ്രോപ്പ്-ഡ men ൺ മെനുകൾ, ക്രമീകരിക്കാവുന്ന ടൂൾബാറുകൾ, ഇമേജുകൾ ഉൾപ്പെടുത്താനുള്ള ഡയലോഗ്, ഫംഗ്ഷൻ റഫറൻസ് ഫൈൻഡർ, വിവിധ പ്രോഗ്രാമുകളുമായി ഇഷ്ടാനുസൃതമാക്കാവുന്ന സംയോജനം (നിർമ്മിക്കുക, ജാവക് മുതലായവ), സിന്റാക്സ് ഹൈലൈറ്റിംഗ് (സി, ജാവ, ജാവാസ്ക്രിപ്റ്റ്, പൈത്തൺ , പേൾ, കോൾഡ് ഫ്യൂഷൻ, പാസ്കൽ, ആർ, ഒക്ടേവ്), അവയ്ക്കിടയിൽ ഏകദേശം ഇരുപത്തിരണ്ട് ഭാഷകളിലേക്ക് പൂർണ്ണ വിവർത്തനങ്ങൾ os: ബ്രസീലിയൻ പോർച്ചുഗീസ്, ബൾഗേറിയൻ, ചൈനീസ്, ഡാനിഷ്, ഫിന്നിഷ്, ഫ്രഞ്ച്, ജർമ്മൻ, ഹംഗേറിയൻ, ഇറ്റാലിയൻ, നോർവീജിയൻ, പോളിഷ്, പോർച്ചുഗീസ്, സ്പാനിഷ്, സ്വീഡിഷ്, ജാപ്പനീസ്, തമിഴ്.

    വിക്കിപീഡിയ ...

    1.    ഇലവ് പറഞ്ഞു

      ഞാൻ ബ്ലൂഫിഷ് പരീക്ഷിച്ചു. ഇത് വളരെ നല്ലതാണെന്നത് ശരിയാണ്, പക്ഷേ എനിക്കറിയില്ല, എന്തോ നഷ്ടമായി. ഇപ്പോൾ ഞാൻ അത് ആർച്ചിൽ പരീക്ഷിക്കുന്നു, കെ‌ഡി‌ഇ ഉപയോഗിച്ച് സ്ക്രോൾ എനിക്ക് പ്രവർത്തിക്കുന്നില്ല, താഴേക്ക് പോകാൻ ഞാൻ ബാറിന്റെ സ്ക്രോൾ ബട്ടൺ പിടിക്കണം. കോഡ് യാന്ത്രിക പൂർത്തീകരണത്തിൽ ഇത് വളരെയധികം മെച്ചപ്പെടുത്തി, പക്ഷേ ഞാൻ തുടക്കത്തിൽ പറഞ്ഞതുപോലെ, എന്തോ ഒന്ന് കാണുന്നില്ല.

      1.    എലിയോടൈം 3000 പറഞ്ഞു

        ഉദാഹരണത്തിന്, ഒരു വെബ് പേജ് കാഴ്ചക്കാരൻ.

    2.    നാനോ പറഞ്ഞു

      ഇത് കൊള്ളാം, അതെ, പക്ഷെ സത്യം, ഞാൻ ഒരു കമ്മ്യൂണിറ്റിയുടെ പിന്നിൽ എഡിറ്റർമാരിൽ തുടരുന്നു എന്നതാണ്, ബ്ലൂഫിഷിന് അതിന്റെ ഡവലപ്പർമാരും മുഴുവൻ കഥയും ഉണ്ടായിരിക്കാം, പക്ഷേ എന്നെ സപ്ലൈം ഉപയോഗിക്കാൻ പ്രേരിപ്പിക്കുന്നത്, ഉദാഹരണത്തിന്, ഇതിന് വളരെയധികം തുകയുണ്ട് എന്ന ലളിതമായ വസ്തുതയാണ് പ്ലഗിന്നുകളും ഉറവിടങ്ങളും ലഭ്യമാണ്, ഇത് ഒരു ബുള്ളറ്റാണ്, അതിന്റെ സ്ഥിരസ്ഥിതി ഉപകരണങ്ങൾ നിങ്ങളെ അമ്പരപ്പിക്കുന്നു.

      അത് ഗംഭീരമായി മാറുമോ? ഓ, വി‌എം എക്സ്ഡിക്ക് വേണ്ടി മാത്രം

      1.    റ uro റോഡ്‌സെ പറഞ്ഞു

        എന്നാൽ ഇത് ലിനക്സിനുള്ളതാണോ?

        1.    ഇലവ് പറഞ്ഞു

          അസ. എസ്.

  4.   Anibal പറഞ്ഞു

    ഞാൻ കുബുണ്ടു 13.04 ൽ നിന്നാണ്, ഇത് എനിക്ക് ലിബുദേവ് ​​പിശക് നൽകുന്നു, ഞാൻ സിംലിങ്ക് ചെയ്തു, അത് അതേപടി തുടരുന്നു

    ഇത് പരിഹരിക്കുന്നതിന് (കുറഞ്ഞത് എന്റേത് 64 ബിറ്റ്സ് ആണ്) ഇതാണ് ശരിയായ വരി:

    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    1.    ഗില്ലെർമോ ലിമോൺസ് പോസോസ് പറഞ്ഞു

      മികച്ച നിരീക്ഷണം, നന്ദി

  5.   സമത്വം പറഞ്ഞു

    എനിക്കറിയില്ല, എനിക്ക് വലിയ ബോധ്യമില്ല ... പക്ഷെ എനിക്ക് ഇപ്പോഴും അറിയില്ല.

    അഡോബ് ഈ പ്രോഗ്രാമിൽ നിന്ന് സ്വതന്ത്രനാകുക എന്ന ആശയം സ free ജന്യവും ഭാവിയിലേക്ക് എന്നെന്നേക്കുമായി തുറന്നിരിക്കുന്നതുമാണ് ... അല്ലെങ്കിൽ ഇത് സ free ജന്യമാക്കുന്നതിന് അഡോബിന്റെ മറ്റ് സാങ്കേതിക വിദ്യകളെപ്പോലെ ഞങ്ങൾക്ക് ഇത് സ free ജന്യമായി പരീക്ഷിക്കാൻ കഴിയും, മാത്രമല്ല അവർ അത് ഒരു പ്രൊഫഷണൽ തലത്തിലേക്ക് കൊണ്ടുപോകാൻ ആഗ്രഹിക്കുമ്പോൾ അവർ സ്വതന്ത്ര ഭാഗം ഉപേക്ഷിക്കുമോ?

  6.   നാനോ പറഞ്ഞു

    ബ്രാക്കറ്റുകളെ സംബന്ധിച്ചിടത്തോളം, വളരെ വിദഗ്ദ്ധനായ ഒരു ഫ്രണ്ട് എൻഡ് ഡവലപ്പർ നിർമ്മിച്ച സപ്ലൈമുമായി വളരെ രസകരമായ ഒരു താരതമ്യം ഞാൻ നിങ്ങൾക്ക് നൽകുന്നു.

    എന്തായാലും, ഇത് വായിക്കേണ്ടതാണ്: ബ്രാക്കറ്റുകൾ vs സപ്ലൈം ടെക്സ്റ്റ്

    ആസ്വദിക്കൂ?

  7.   ഗബ്രിയേൽ പറഞ്ഞു

    സി ++ നെക്കുറിച്ച് ആർക്കെങ്കിലും അറിയാമെങ്കിൽ ഇത് ലിനക്സിനായി സമൂഹത്തിന് നന്ദി.

  8.   ഇലവ് പറഞ്ഞു

    ഡെബിയൻ വീസിയിൽ ഇത് പ്രവർത്തിപ്പിക്കാൻ കഴിയില്ല, കാരണം നിങ്ങളുടെ പക്കലുള്ളതിനേക്കാൾ ഉയർന്ന GLIBC പതിപ്പ് ഇതിന് ആവശ്യമാണ്.

  9.   ജുവാൻറ പറഞ്ഞു

    ഓ, വളരെക്കാലം മുമ്പ് (കുറച്ച് മാസങ്ങൾക്ക് മുമ്പ്) ലിനക്സിനായി ഒരു പതിപ്പ് ഉണ്ട്, ഈ ഐഡിഇയുടെ അസ്തിത്വം ഞാൻ തിരിച്ചറിഞ്ഞു, ലിനക്സിനായി ഒരു പതിപ്പും ഇല്ല, അത് ഉപയോഗിക്കാനുള്ള ആഗ്രഹം എനിക്കുണ്ടായിരുന്നു, പക്ഷേ ഇപ്പോൾ ലിനക്സിനായി ഒരു പതിപ്പ് ഉണ്ട്, എലവ് അനുസരിച്ച്, ഇല്ല ഇത് വീസിയിൽ പ്രവർത്തിക്കുന്നു, അത് എനിക്ക് ha ഹാഹയാണ്, അതിനാൽ ഭാഗ്യമുണ്ട്, പക്ഷേ ഒരു ദിവസം ഞാൻ ശ്രമിക്കില്ല കാരണം നല്ല സ്വഭാവസവിശേഷതകൾ ഉണ്ടെങ്കിൽ

  10.   ബ്രൂണോ കാസിയോ പറഞ്ഞു

    ഞാൻ 3 വർഷമായി വെബ് വികസനത്തിലാണ്, എന്റെ അനുഭവങ്ങൾ ഇവയാണ്:

    ആദ്യ സപ്ലൈം വാചകം
    രണ്ടാമത്തെ നെറ്റ്ബീൻസ്
    മൂന്നാമത്തെ എക്ലിപ്സ്

    മറ്റുള്ളവർ ശുദ്ധമായ എം… ..

    ഞാൻ‌ സാധാരണയായി സപ്ലൈം ഉപയോഗിക്കുന്നു, കാരണം അതിൽ‌ ധാരാളം പ്ലഗിനുകൾ‌ ഉണ്ട് (അവയിലൊന്ന്‌ ഞാൻ‌ വളരെയധികം ഉപയോഗിക്കുന്ന TWIG). നിങ്ങൾ തിരയുന്നത് യാന്ത്രിക പൂർത്തീകരണമാണെങ്കിൽ, എക്ലിപ്സ് അല്ലെങ്കിൽ നെറ്റ്ബീൻസ് പോലെ ഒന്നുമില്ല.

    നന്ദി!

  11.   xrz-30 പറഞ്ഞു

    എന്റെ കാര്യത്തിൽ പിശക് ഇതായിരുന്നു:
    usr / lib / brackets / Brackets: പങ്കിട്ട ലൈബ്രറികൾ ലോഡുചെയ്യുമ്പോൾ പിശക്: libudev.so 0: പങ്കിട്ട ഒബ്ജക്റ്റ് ഫയൽ തുറക്കാൻ കഴിയില്ല: അത്തരം ഫയലോ ഡയറക്ടറിയോ ഇല്ല

    64-ബിറ്റ് പതിപ്പ് ഇൻസ്റ്റാൾ ചെയ്യുന്നവർക്കായി എന്റെ ആർക്കിടെക്ചറിന് അനുയോജ്യമായ ഡയറക്ടറി (അനിബലും അതിൽ അഭിപ്രായമിടുന്നു) തിരഞ്ഞെടുത്ത് ഞാൻ ഇത് പരിഹരിച്ചു: i86-linux-gnu എന്നതിനുപകരം x64_386-linux-gnu ഡയറക്ടറി തിരഞ്ഞെടുക്കണം:

    32 ബിറ്റുകൾക്ക്:
    sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

    64 ബിറ്റുകൾക്ക്:
    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    ഒരേ ഡയറക്ടറിയിൽ libudev.so.1 എന്ന പേരിൽ ഒരു പ്രതീകാത്മക ലിങ്ക് സൃഷ്ടിക്കുക മാത്രമാണ് നിങ്ങൾ ചെയ്യുന്നത്.

  12.   xrz-30 പറഞ്ഞു

    ലിനക്സിനായുള്ള ഒരു പതിപ്പ് തീർന്നുവെന്ന് എനിക്കറിയില്ല, കുറച്ച് മാസങ്ങൾക്ക് മുമ്പ് ഞാൻ ഇത് വൈൻ ഉപയോഗിച്ച് പരീക്ഷിച്ചു, പക്ഷേ അത് ഒരു മനോഹരമായ അനുഭവമായിരുന്നില്ല. ഞങ്ങളുടെ പ്രിയപ്പെട്ട ടക്സിനായി പതിപ്പ് സൃഷ്ടിക്കാൻ പിന്തുണ നൽകിയ കമ്മ്യൂണിറ്റിക്ക് നന്ദി പറയാൻ തുറക്കുക

    നിങ്ങൾ‌ അഭിപ്രായപ്പെടുമ്പോൾ‌, പിശക് സന്ദേശം ഇതാണ്:
    usr / lib / brackets / Brackets: പങ്കിട്ട ലൈബ്രറികൾ ലോഡുചെയ്യുമ്പോൾ പിശക്: libudev.so 0: പങ്കിട്ട ഒബ്ജക്റ്റ് ഫയൽ തുറക്കാൻ കഴിയില്ല: അത്തരം ഫയലോ ഡയറക്ടറിയോ ഇല്ല

    64-ബിറ്റ് പതിപ്പ് ഇൻസ്റ്റാൾ ചെയ്യുന്നവർക്കായി എന്റെ ആർക്കിടെക്ചറിന് അനുയോജ്യമായ ഡയറക്ടറി (അനിബലും അതിൽ അഭിപ്രായമിടുന്നു) തിരഞ്ഞെടുത്ത് ഞാൻ ഇത് പരിഹരിച്ചു: i86-linux-gnu എന്നതിനുപകരം x64_386-linux-gnu ഡയറക്ടറി തിരഞ്ഞെടുക്കണം:

    32 ബിറ്റുകൾക്ക്:
    sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

    64 ബിറ്റുകൾക്ക്:
    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    ഒരേ ഡയറക്ടറിയിൽ libudev.so.1 എന്ന പേരിൽ ഒരു പ്രതീകാത്മക ലിങ്ക് സൃഷ്ടിക്കുക മാത്രമാണ് നിങ്ങൾ ചെയ്യുന്നത്.

  13.   റൗൾ പറഞ്ഞു

    എനിക്ക് ബ്രാക്കറ്റുകളിൽ ഒരു ചെറിയ പ്രശ്‌നമുണ്ട്. ഞാൻ Chrome- ൽ വിദൂര ഡീബഗ്ഗിംഗ് പ്രവർത്തനക്ഷമമാക്കണമെന്നും തുടർന്ന് "നിങ്ങൾക്ക് Chrome പുനരാരംഭിച്ച് വിദൂര ഡീബഗ്ഗിംഗ് പ്രവർത്തനക്ഷമമാക്കണോ?" [Chrome പുനരാരംഭിക്കുക] ബട്ടണും. പക്ഷെ ഞാൻ അത് നൽകുന്നു, അത് ഒന്നും ചെയ്യുന്നില്ല, പുനരാരംഭിക്കുന്നില്ല, പ്രാപ്തമാക്കുന്നില്ല.

    1.    റൗൾ പറഞ്ഞു

      ഞാൻ മറന്നു, എനിക്ക് ഉബുണ്ടു 13.04 64 ബിറ്റുകൾ ഉണ്ട്. ബ്രാക്കറ്റ് പതിപ്പ് 29 ആണ്

      1.    ഇർവാണ്ടോവൽ പറഞ്ഞു

        Chrome അടച്ച് ബ്രാക്കറ്റുകൾ പ്രവർത്തിപ്പിക്കാൻ അനുവദിക്കുക 🙂, ഇത് എനിക്ക് വേണ്ടി പ്രവർത്തിച്ചാൽ കുറഞ്ഞത് ഈ വഴിയെങ്കിലും
        ആശംസകൾ!

        1.    റൗൾ പറഞ്ഞു

          അതെ ഞാൻ ഇതിനകം തന്നെ അങ്ങനെ ചെയ്തു, പക്ഷേ ഒന്നുമില്ല. : എസ്

  14.   ഹെക്ടർ പറഞ്ഞു

    ഹായ്, നിങ്ങളുടെ ഉപദേശത്തിന് നന്ദി. എനിക്കും സമാന പ്രശ്‌നമുണ്ട്, പക്ഷേ നിങ്ങൾ പറയുന്ന തിരുത്തൽ ഡെബിയൻ വീസിയിൽ എനിക്ക് പ്രയോജനകരമല്ല, നിങ്ങൾക്ക് എന്നെ സഹായിക്കാമോ, നന്ദി

  15.   വിദാഗ്നു പറഞ്ഞു

    മികച്ച IDE, സ്ലാക്ക്വെയർ ഉപയോക്താക്കൾക്കായി ഇത് ഇൻസ്റ്റാൾ ചെയ്യുന്നതിനുള്ള നടപടിക്രമം ഞാൻ ഉപേക്ഷിക്കുന്നു:

    http://vidagnu.blogspot.com/2014/02/como-instalar-brackets-en-slacwkare.html

  16.   സെർജിയോ അന്റോണിയോ ട്രൂജിലോ പറഞ്ഞു

    ഞാൻ ഇത് മഞ്ജാരോയിൽ ഇൻസ്റ്റാൾ ചെയ്ത സംഭാവനയ്ക്ക് നന്ദി, അത് ബ്ര browser സറിൽ പ്രവർത്തിക്കുന്നില്ല, പക്ഷേ പ്രതീകാത്മക ലിങ്കിന് നന്ദി എനിക്ക് അത് പരിഹരിക്കാൻ കഴിഞ്ഞു.

  17.   മെറ്റൽഹെഡ് ബി 93 പറഞ്ഞു

    നിങ്ങളുടെ പരിഹാരം പ്രവർത്തിക്കുന്നില്ല
    പ്രോഗ്രാം ഇപ്പോഴും ആരംഭിക്കുന്നില്ല

  18.   കാർലോസ് പറഞ്ഞു

    ഹലോ! എനിക്ക് ഹുവേര ലിനക്സിൽ ബ്രാക്കറ്റുകൾ ഇൻസ്റ്റാൾ ചെയ്യാൻ കഴിയില്ല, ഞാൻ അത് എങ്ങനെ ചെയ്യും? ഇതിന് കഴിയും?

  19.   കനോറിയോസ് പറഞ്ഞു

    ഞാൻ ഇത് website ദ്യോഗിക വെബ്‌സൈറ്റിൽ നിന്ന് ഡ download ൺലോഡ് ചെയ്യുകയും ഈ സൈറ്റ് ഞങ്ങൾക്ക് നൽകുന്ന നിർദ്ദേശങ്ങൾ ഉപയോഗിച്ച് ഇൻസ്റ്റാൾ ചെയ്യുകയും ചെയ്തു, പിശക് പ്രത്യക്ഷപ്പെട്ടു, അവർ ഞങ്ങൾക്ക് നൽകിയ പരിഹാരം എനിക്ക് വേണ്ടി പ്രവർത്തിക്കുന്നില്ല.

    കൺസോൾ വഴി റിപ്പോസിറ്ററി ചേർത്ത് അത് ഇൻസ്റ്റാൾ ചെയ്യുക എന്നതായിരുന്നു എനിക്ക് ഇത് ശരിയായി ഇൻസ്റ്റാൾ ചെയ്യാനും പ്രശ്നങ്ങളില്ലാതെയും ഉപയോഗിക്കാൻ കഴിഞ്ഞത്.

    sudo add-apt-repository ppa: webupd8team / brackets
    sudo apt-get അപ്ഡേറ്റ്
    sudo apt-get install ബ്രാക്കറ്റുകൾ

    എനിക്ക് പ്ലാസ്മ കെ‌ഡി‌ഇ 15.04 with ഉള്ള കുബുണ്ടു 5 ഉണ്ട്